{% if sell.user == request.user  %}
<section id="sell-alerts">
    {% if sell.status == 2 %}
    <div class="alert alert-dark text-center mt-2 fs-1-rem">
        <span>Votre demande a été accepté de la part de <span class="fw-bold">DRONES PRO</span>.</span><br/>
        <span>Le prix proposé est à <span class="fw-bold fs-4">{{ sell.first_price }} €</span> .</span><br/>
        <span>Si vous acceptez ce montant, vous pouvez passer à l'étape suivante.</span><br/>
        <span>Cliquez sur <span class="fw-bold">VALIDER</span> pour accepter le montant ou sur <span class="fw-bold">REFUSER</span> pour annuler l'opération</span><br/>
        <span>Cette modification a eu lieu le {{ sell.updated_at }}. C'est à dire il y a {{ sell.updated_at|timesince }}</span>
        <form  action="{% url 'edit_sell' sell.number %}" method="POST" class="w-100 mt-3 d-flex justify-content-evenly align-content-center align-items-center">
            {% csrf_token %}
            <input type="hidden" name="new-status" id="final-value">
            <button data-value="1" onclick="handleSellUserForm(this)" class="normal-btn rounded shadow py-2 px-4 bg-success text-white" type="button">VALIDER</button>
            <button data-value="0" onclick="handleSellUserForm(this)" class="normal-btn rounded shadow py-2 px-4 bg-danger text-white" type="button">REFUSER</button>
        </form>
    </div>
    {% elif sell.status == 3 %}
    <div class="alert alert-dark text-center mt-2 fs-1-rem">
        <span>Vous avez accepté la reprise de votre drone à <span class="fw-bold fs-4">{{ sell.first_price }} €</span></span><br>
        <span>Vous devez à présent nous envoyer votre drone.</span><br>
        <span>Voici les informations de livraison.</span>
        <div>
            <span>Nom : Drones Pro</span><br />
            <span>Adresse : {{ about_us.address }}</span><br />
            <span>Téléphone : {{ about_us.phone }}</span><br />
        </div>
        <br/>
        <span>Une fois votre colis envoyé, merci de nous indiquer le numéro de suivi.</span>
        <br/>
        <form action="{% url 'add_tracking_number_to_sell' sell.number %}" method="POST" class="border px-2 py-1 rounded"><br/>
            {% csrf_token %}
            <div class="d-flex gap-1 justify-content-center align-content-center">
                <select class="form-select w-25" name="transporter" id="transporter">
                    <option selected value="1">Colissimo</option>
                </select>
                <input type="text" class="form-control rounded" required name="tracking_number" id="tracking_number"/>
            </div>
            <input type="submit" class="normal-btn rounded border py-2 px-4 bg-success text-white mt-2" value="VALIDER"/>
        </form>
    </div>
    {% elif sell.status == 4 %}
    <div class="alert alert-success text-center mt-2 fs-1-rem">
        <span>Merci pour votre confiance</span><br>
        <span>Vous allez être notifié une fois que nous récuperons votre colis.</span><br>
    </div>
    {% elif sell.status == 5 %}
    <div class="alert alert-info text-center text-dark mt-2 fs-1-rem">
        <span>Nous avons bien réçu votre colis.</span><br>
        <span>Notre équipe examine votre article s'il est conforme pour l'instant.</span><br>
        <span>Une fois cella est fait, vous aller être notifié.</span><br>
    </div>
    {% elif sell.status == 6 and not sell.user_iban %}
    <div class="alert alert-secondary text-center text-dark mt-2 fs-1-rem">
        <span>Nous avons bien examiné votre article.</span><br>
        <span>Merci de nous indiquer votre IBAN afin de faire le virement.</span><br>
        <form action="{% url 'set_sell_iban' sell.number %}" method="POST">
            {% csrf_token %}
            <div class="mb-3 d-flex justify-content-center align-items-center gap-3 align-content-center ">
                <label for="iban" class="form-label one-ligne-text">IBAN :</label>
                <input type="text" class="form-control" id="iban" name="iban" required>
                <input type="submit" class="normal-btn rounded shadow px-2 py-1 bg-success text-white" value="Envoyer">
            </div>
        </form>
        <span>Merci d'avoir vérifier votre IBAN avant l'envoi !</span><br>
    </div>
    {% elif sell.status == 6 and sell.user_iban %}
    <div class="alert alert-secondary text-center text-dark mt-2 fs-1-rem">
        <span>Merci pour votre confiance.</span><br>
        <span>Vous aller être notifié lors de paiement.</span><br>
    </div>
    <!--  -->
    <!--  -->

    {% elif sell.status == 10 and not sell.finished %}
    <div class="alert alert-secondary text-center text-dark mt-2 fs-1-rem">
        <span>Le paiement de <span class="fw-bold">{{ sell.first_price }} €</span> est fait.</span><br>
        <span>Merci de nous informer lors de réception du paiement.</span><br>
        <div class="w-50 mx-auto mt-3 d-flex justify-content-evenly align-content-center">
            <a href="{% url 'finish_sell' sell.number %}" class="normal-link px-3 py-1 rounded shadow bg-success text-white">Valider</a>
            <a href="" class="normal-link px-3 py-1 rounded shadow bg-danger text-white">Un problème ?</a>
        </div>
    </div>
    {% elif sell.finished and not sell.rated %}
    <div class="alert alert-secondary text-center text-dark mt-2 fs-1-rem">
        <span>Merci pour votre confiance.</span><br>
        <span>N'oubliez pas de laisser un avis suite à notre service.</span><br>
        <form action="{% url 'new_note' 6 sell.id %}" method="POST">
            {% csrf_token %}
            <select name="stars" class="form-select form-select" id="stars">
              <option value="1">1 étoile</option>
              <option value="2">2 étoiles</option>
              <option value="3">3 étoiles</option>
              <option value="4">4 étoiles</option>
              <option value="5" selected>5 étoiles</option>
            </select><br>
            <div>
              <label for="final-note">Commantaire :</label>
              <textarea class="form-control" name="final-note" id="final-note" cols="30" rows="10"></textarea>
            </div><br>
            <input type="submit" class="normal-btn rounded border py-2 px-4 mt-3 bg-success text-white" value="VALIDER">
          </form>
    </div>
    {% elif sell.status == 11 %}
    <div class="alert alert-danger text-center text-dark mt-2 fs-1-rem">
        <span>Mauvaise nouvelle.</span><br>
        <span>Votre demande a été réfusé.</span><br>
        {% if sell.refused_reasion %}
        <span>Voici la raison du refus .</span><br />
        <span>{{ sell.refused_reasion }}</span>
        {% endif %}
    </div>
    {% endif %}
</section>
{% endif %}


